package com.unis.base.server.service;

import java.util.List;

import com.unis.base.common.vo.OiltankQueryVO;
import com.unis.base.common.vo.OiltankVO;


/**
 * @author huangxing
 * @version 1.0
 * @Title: DYgxxsjyService
 * @ProjectName baseservice
 * @Description:
 * @date 2019/7/22 17:47
 */

public interface OiltankService {

    /**
     * 根据参数获取仓房列表
     *
     * @param dYgxxsjyVO
     * @return
     */
    List<OiltankVO> getOiltankList(OiltankQueryVO oiltankVO);

    /**
     * @param dYgxxsjyVO
     * @param pageNum
     * @param pageSize
     * @return 分页获取列表
     */
    List<OiltankVO> getOiltankPage(OiltankQueryVO dYgxxsjyVO, Integer pageNum, Integer pageSize);

    /**
     * 根据仓房编号获取仓房信息
     *
     * @param cfbh 仓房编号
     * @return
     */
    OiltankVO getOiltankInfoByygbh(String ygbh);

    /**
     * 更新仓房信息
     *
     * @param dYgxxsjyVO
     * @return
     */
    int update(OiltankVO dYgxxsjyVO);

    /**
     * 删除仓房信息
     *
     * @param cfbh
     * @return
     */
    int delete(String id);

    /**
     * 添加仓房信息
     *
     * @param dAjxxsjyVO
     * @return
     */
    OiltankVO insert(OiltankVO oiltankVO);

    /**
     * 更新油罐申请状态（0 可编辑 1 不可编辑）
     *
     * @param ygbh
     * @return
     */
    int updateSqzt(String ygbh, String sqzt);

    boolean initData();

    List<OiltankVO> getOiltankPages(OiltankQueryVO oiltankVO, Integer pageNum, Integer pageSize);

    /**
     * 根据参数获取油罐信息
     *
     * @param oiltankQueryVO
     * @return
     */
    OiltankVO getOilTankInfo(OiltankQueryVO oiltankQueryVO);

    /**
     * 根据苦点编码查询油罐信息
     *
     * @param oiltankQueryVO kddm 库点代码
     * @return
     */
    List<OiltankVO> getOilTankInfoList(OiltankQueryVO oiltankQueryVO);

}

